# $Revision: 1.114.2.1 $, $Date: 2007/02/23 02:30:10 $
# TODO
# - build lib{,ssl}spamc.so (if there is a point)
#
# Conditional build:
%bcond_without	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SpamAssassin
Summary:	A spam filter for email which can be invoked from mail delivery agents
Summary(pl):	Filtr antyspamowy, przeznaczony dla programw dostarczajcych poczt (MDA)
Name:		spamassassin
Version:	3.1.8
Release:	1
License:	Apache Software License v2
Group:		Applications/Mail
Source0:	http://www.apache.net.pl/spamassassin/source/%{pdir}-%{pnam}-%{version}.tar.bz2
# Source0-md5:	e8184a9a4ff11da5bd20b294cfeac7ac
Source1:	%{name}.sysconfig
Source2:	%{name}-spamd.init
URL:		http://spamassassin.apache.org/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.16
BuildRequires:	perl-Archive-Tar
BuildRequires:	perl-DBI
BuildRequires:	perl-DB_File
BuildRequires:	perl-Digest-SHA1 >= 2.10
BuildRequires:	perl-HTML-Parser >= 3
BuildRequires:	perl-IO-Socket-INET6 >= 2.51
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-IO-Zlib
BuildRequires:	perl-IP-Country
BuildRequires:	perl-Mail-SPF-Query
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Net-Ident
#BuildRequires:	perl-Razor2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpmbuild(macros) >= 1.310
%if %{with tests}
# are these really needed?
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-MailTools
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Mail-SpamAssassin = %{version}-%{release}
Obsoletes:	SpamAssassin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Razor2::Client::Agent)' 'perl(Razor::Agent)' 'perl(Razor::Client)' 'perl(DBI)' 'perl(Net::Ident)'

%description
SpamAssassin provides you with a way to reduce if not completely
eliminate Unsolicited Commercial Email (SPAM) from your incoming
email. It can be invoked by a MDA such as sendmail or postfix, or can
be called from a procmail script, .forward file, etc. It uses a
genetic-algorithm evolved scoring system to identify messages which
look spammy, then adds headers to the message so they can be filtered
by the user's mail reading software. This distribution includes the
spamd/spamc components which create a server that considerably speeds
processing of mail.

%description -l pl
SpamAssassin daje moliwo zredukowania, jeli nie kompletnego
wyeliminowania niezamawianej komercyjnej poczty (Unsolicited
Commercial Email, spamu) z poczty. Moe by wywoywany z MDA, np.
Sendmaila czy Postfiksa, lub z pliku ~/.forward itp. Uywa oglnego
algorytmu oceniania w celu identyfikacji wiadomoci, ktre wygldaj
na SPAM, po czym dodaje nagwki do wiadomoci, umoliwiajc
filtrowanie przez oprogramowanie uytkownika. Ta dystrybucja zawiera
programy spamd/spamc, umoliwiajce uruchomienie serwera, co znacznie
przyspieszy proces przetwarzania poczty.

%package tools
Summary:	Miscleanous tools for SpamAssassin
Summary(pl):	Przerne narzdzia zwizane z SpamAssassin
Group:		Applications/Mail
Obsoletes:	SpamAssassin-tools

%description tools
Miscleanous tools from various authors, distributed with SpamAssassin.
See /usr/share/doc/spamassassin-tools-*/.

%description tools -l pl
Przerne narzdzia, dystrybuowane razem ze SpamAssassinem. Wicej
informacji w /usr/share/doc/spamassassin-tools-*/.

%package spamd
Summary:	spamd - daemonized version of spamassassin
Summary(pl):	spamd - spamassassin w postaci demona
Group:		Applications/Mail
Requires(post,preun):	/sbin/chkconfig
Requires:	perl-Mail-SpamAssassin = %{version}-%{release}
Requires:	rc-scripts
#Suggests:	perl-IO-Socket-SSL

%description spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%description spamd -l pl
Spamd jest "demoniczn" wersj spamassassina. Jego zadaniem jest
poprawa wydajnoci automatycznego sprawdzania poczty.

Spamd powinien by uywany wesp ze "spamc", ktry jest szybkim i
wydajnym programem klienckim.

%package spamc
Summary:	spamc - client for spamd
Summary(pl):	spamc - klient dla spamd
Group:		Applications/Mail

%description spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%description spamc -l pl
Spamc powinien by uywany zamiast "spamassassina" w skryptach
przetwarzajcych poczt. Zczytuje poczt ze STDIN, kolejkuje j a
nastpnie przekazuje spamdowi, odczytuje wynik i podaje go na STDOUT.
Spamc stara si nie obcia zbytnio procesora podczas adowania,
dziki czemu powinien dziaa szybciej ni sam spamassassin.

%package update
Summary:	sa-update - automate SpamAssassin rule updates
Summary(pl):	sa-update - automatyczne uaktualnianie reguek SpamAssassina
Group:		Applications/Mail
Requires:	gnupg
Requires:	perl-Archive-Tar
Requires:	perl-libwww
Requires:	perl-Mail-SpamAssassin = %{version}-%{release}

%description update
sa-update automates the process of downloading and installing new
rules and configuration, based on channels. The default channel is
updates.spamassassin.org, which has updated rules since the previous
release.

Update archives are verified by default using SHA1 hashes and GPG
signatures.

%description update -l pl
sa-update automatyzuje proces cigania i instalowania nowych reguek
i konfiguracji w oparciu o kanay. Domylny kana to
updates.spamassassin.org, ktry ma uaktualnione reguki od czasu
poprzedniego wydania.

Archiwa uaktualnie s sprawdzane domylnie przy uyciu skrtw SHA1 i
podpisw GPG.

%package -n perl-Mail-SpamAssassin
Summary:	Mail::SpamAssassin - SpamAssassin e-mail filter libraries
Summary(pl):	Mail::SpamAssassin - biblioteki filtra poczty SpamAssassin
Group:		Development/Languages/Perl
Requires:	perl-Cache-DB_File >= 0.2
Requires:	perl-HTML-Parser >= 3
Requires:	perl-IO-Socket-INET6 >= 2.51
Requires:	perl-Mail-SPF-Query
Requires:	perl-Sys-Hostname-Long
Conflicts:	perl-Net-DNS < 0.50

%description -n perl-Mail-SpamAssassin
Mail::SpamAssassin is a Mail::Audit plugin to identify spam using text
analysis and several internet-based realtime blacklists. Using its
rule base, it uses a wide range of heuristic tests on mail headers and
body text to identify ``spam'', also known as unsolicited commercial
email. Once identified, the mail can then be optionally tagged as spam
for later filtering using the user's own mail user-agent application.

%description -n perl-Mail-SpamAssassin -l pl
Mail::SpamAssassin jest pluginem dla Mail::Audit, sucym do
identyfikacji spamu przy uyciu analizy zawartoci i/lub internetowych
czarnych list. Do zidentyfikowania jako ,,spam'' stosuje szeroki
zakres testw heurystycznych na nagwkach i treci, posikujc si
stworzon wczeniej baz regu. Po zidentyfikowaniu, poczta moe by
oznaczona jako spam w celu pniejszego wyfiltrowania, np. przy uyciu
aplikacji do czytania poczty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
# for spamc/configure
export CFLAGS="%{rpmcflags}"
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	PREFIX=%{_prefix} \
	SYSCONFDIR=%{_sysconfdir} \
	ENABLE_SSL=yes \
	CONTACT_ADDRESS="postmaster@localhost" \
	PERL_BIN=%{__perl} < /dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/mail/spamassassin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/spamd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/spamd

# sa-update dirs
install -d $RPM_BUILD_ROOT/var/lib/spamassassin/$(printf %d.%03d%03d $(echo %{version} | tr '.' ' '))
install -d $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/sa-update-keys
touch $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/sa-update-keys/{pubring,secring,trustdb}.gpg

rm -f $RPM_BUILD_ROOT{%{perl_archlib}/perllocal.pod,%{perl_vendorarch}/auto/Mail/SpamAssassin/.packlist,%{_mandir}/man3/spamassassin-run.*}

%clean
rm -rf $RPM_BUILD_ROOT

%post spamd
/sbin/chkconfig --add spamd
%service spamd restart

%preun spamd
if [ "$1" = "0" ]; then
	%service spamd stop
	/sbin/chkconfig --del spamd
fi

%triggerpostun spamd -- spamassassin-spamd < 3.1.0-5.3
# temp hack, should we care of the dead link?
ln -s spamd /etc/rc.d/init.d/spamassassin
/sbin/chkconfig --del spamassassin
rm -f /etc/rc.d/init.d/spamassassin
if [ -f /etc/sysconfig/spamassassin.rpmsave ]; then
	mv -f /etc/sysconfig/spamassassin.rpmsave /etc/sysconfig/spamd
fi

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS Changes INSTALL README STATUS TRADEMARK UPGRADE USAGE
%doc procmailrc.example
%attr(755,root,root) %{_bindir}/sa-learn
%attr(755,root,root) %{_bindir}/spamassassin
# It's needed for help of spamassassin command.
%{perl_vendorlib}/spamassassin-run.pod
%{_mandir}/man1/sa-learn*
%{_mandir}/man1/spamassassin*

%files tools
%defattr(644,root,root,755)
%doc sql ldap tools masses contrib

%files spamd
%defattr(644,root,root,755)
%doc spamd/README*
%attr(754,root,root) /etc/rc.d/init.d/spamd
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/spamd
%attr(755,root,root) %{_bindir}/spamd
%{_mandir}/man1/spamd*

%files spamc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spamc
%{_mandir}/man1/spamc*

%files update
%defattr(644,root,root,755)
%attr(700,root,root) %dir %{_sysconfdir}/mail/spamassassin/sa-update-keys
%attr(700,root,root) %ghost %{_sysconfdir}/mail/spamassassin/sa-update-keys/*
%attr(755,root,root) %{_bindir}/sa-update
%{_datadir}/spamassassin/sa-update-pubkey.txt
%dir /var/lib/spamassassin
%dir /var/lib/spamassassin/*
%{_mandir}/man1/sa-update*

%files -n perl-Mail-SpamAssassin
%defattr(644,root,root,755)
%doc sample-nonspam.txt sample-spam.txt
%dir %{_sysconfdir}/mail/spamassassin
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/spamassassin/*.pre
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/spamassassin/*.cf
%exclude %{_sysconfdir}/mail/spamassassin/sa-update-keys

%dir %{_datadir}/spamassassin
%config(noreplace) %{_datadir}/spamassassin/*
%exclude %{_datadir}/spamassassin/sa-update-pubkey.txt

%{perl_vendorlib}/Mail/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spamassassin.spec,v $
Revision 1.114.2.1  2007/02/23 02:30:10  glen
- HEAD merge: 3.1.8

Revision 1.114  2007/01/26 14:49:25  paszczus
- added R: perl-IO-Socket-SSL to spamd subpackage (for SSL support); rel 3

Revision 1.113  2007/01/26 14:47:28  paszczus
- reverted

Revision 1.111  2007/01/09 14:23:47  glen
- make system cf files readable; rel 2

Revision 1.110  2006/10/16 08:39:22  qboosh
- updated to 3.1.7

Revision 1.109  2006/10/06 13:18:09  qboosh
- updated to 3.1.6
- pass CFLAGS for spamc

Revision 1.108  2006/09/18 15:27:12  glen
- bug #5058 is outdated

Revision 1.107  2006/09/18 15:25:01  blues
- package spamassassin-run.pod - needed for spamassassin command help

Revision 1.106  2006/09/18 15:16:16  blues
- TODO added

Revision 1.105  2006/08/30 21:10:25  radek
- version 3.1.5

Revision 1.104  2006/08/24 21:34:36  darekr
- typo

Revision 1.103  2006/08/24 21:33:02  qboosh
- pl for -update

Revision 1.102  2006/08/23 19:41:40  glen
- package more sa-update files
- standard config,noreplace,verify for /etc/mail/spamassassin files

Revision 1.101  2006/08/23 19:26:13  glen
- separate package for sa-update (spamassassin-update)

Revision 1.100  2006/08/23 17:56:59  glen
- mysql 5.0.24 is no good for DBI backends

Revision 1.99  2006/08/23 14:19:49  glen
- package /var/lib/spamassassin/* for sa-update
- drop non-cvs changelog

Revision 1.98  2006/08/22 13:14:06  radek
- _noautoreq Net::Ident (this piece of trash is optional)

Revision 1.97  2006/07/27 10:40:29  glen
- 1.310 macros instead of fixperms hack

Revision 1.96  2006/07/27 10:37:05  arekm
- up to 3.1.4

Revision 1.95  2006/06/05 17:36:32  radek
- _fixperms (so spamc can be stripped)

Revision 1.94  2006/06/05 15:57:08  radek
- version 3.1.3 (CVE-2006-2447)

Revision 1.93  2006/06/04 18:22:48  radek
- package spamassassin-run.pod (used by --help)

Revision 1.92  2006/05/30 14:29:31  radek
- version 3.1.2

Revision 1.91  2006/04/13 06:29:18  marcus
- 3.1.1, removed obsolete patches

Revision 1.90  2006/01/30 08:29:42  glen
- rename spamd service to spamd (trigger included)
- use %service to restart spamd
- check-files cleanup, rel 6

Revision 1.89  2006/01/30 08:12:06  glen
- adapterized (sorted preamble)

Revision 1.88  2006/01/27 15:12:36  glen
- update for new Mail::DomainKeys API; rel 5, STBR

Revision 1.87  2005/10/22 10:23:17  glen
- removed Conflicts perl-IO-Socket-INET6 < 2.51 then

Revision 1.86  2005/10/21 20:49:38  jack
- added R:perl-IO-Socket-INET6 >= 2.51

Revision 1.85  2005/10/17 19:00:41  hawk
- release 4 (3 will go to Ra)

Revision 1.84  2005/10/16 15:56:03  glen
- require and conflict for older IO::Socket::INET6
- move conflicts to perl- package

Revision 1.83  2005/10/16 12:24:32  glen
- rel 2

Revision 1.82  2005/10/16 12:23:36  glen
- add fix for ipv6 disabled in kernel

Revision 1.81  2005/10/04 12:04:30  glen
- add sa-update to spamassassin package (maybe to perl-Mail-SpamAssassin instead?)
- configure the way PACKAGING describes
- don not remove files in %install, it breaks --short-circuit
- add ldap to tools package %doc

Revision 1.80  2005/09/22 20:58:37  arekm
- more R

Revision 1.79  2005/09/22 20:42:58  arekm
- up to 3.1.0

Revision 1.78  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.77  2005/06/20 15:22:01  gotar
- DNS resolving (SPF, *BL, etc.) doesn't work with perl-Net-DNS above 0.49!

Revision 1.76  2005/06/06 21:33:25  hawk
- release 3, 2 for Ra (please remember about Ra, rel bumping isn't funny)

Revision 1.75  2005/06/06 21:29:42  arekm
- up to 3.0.4

Revision 1.74  2005/06/01 18:00:48  qboosh
- strict internal deps

Revision 1.73  2005/05/26 13:46:35  gotar
- strict version require for spamd to avoid this error:
  ERROR!  spamassassin script is v3.000003, but using modules v3.000002!

Revision 1.72  2005/04/30 07:36:01  hawk
- release 2 (1 for Ra)

Revision 1.71  2005/04/29 18:25:32  paszczus
- updated to 3.0.3
- adaptarized

Revision 1.70  2005/04/21 13:25:05  hawk
- release 3 (2 for Ra)

Revision 1.69  2005/02/01 21:35:13  glen
- add patch from sa bugzilla #4046
- BR perl-HTML-Parser even without tests
- rel 2
- STBR

Revision 1.68  2004/12/17 00:07:59  paszczus
- updated to 3.0.2

Revision 1.67  2004/12/16 23:54:25  havner
- rel 5 for fixed init script

Revision 1.66  2004/12/09 16:28:29  havner
- prefork patch bconded (on by default for now)
- rel 4

Revision 1.65  2004/12/06 17:42:27  havner
- prefork alghoritm inspired by apache, please test it!
- rel 3

Revision 1.64  2004/11/28 21:41:53  havner
- rel 2 for fixed sysconfig file

Revision 1.63  2004/11/03 22:30:58  paladine
- formatting

Revision 1.62  2004/10/30 00:25:04  qboosh
- use package name in perl-Digest-SHA1 BR, pl fixes

Revision 1.61  2004/10/28 17:22:29  radek
- merged version 3.0.1 from DEVEL

Revision 1.60  2004/08/12 07:08:03  ankry
- s/filtru/filtra/ for unification

Revision 1.59.2.2.2.6  2004/10/24 22:47:29  jm
- update, and corrections by Mateusz Murawski <matowy[at]tlen.pl>

Revision 1.59.2.2.2.5  2004/09/22 22:14:34  arekm
- drop conflict, doesn't needed it seems

Revision 1.59.2.2.2.4  2004/09/22 19:27:03  arekm
- updated to final 3.0.0

Revision 1.59.2.2.2.3  2004/09/10 16:15:31  arekm
- update to rc3

Revision 1.59.2.2.2.2  2004/08/31 18:41:05  arekm
- updated to 3.0.0rc2

Revision 1.59.2.2.2.1  2004/08/22 15:57:32  arekm
- updated to 3.0.0 rc1

Revision 1.59.2.2  2004/08/10 13:36:31  baggins
- added c:Mail::SPF::Query < 1.996

Revision 1.59.2.1  2004/08/09 16:47:43  baggins
- branch for spamassassin 3.0 -pre
- works for me :)

Revision 1.59  2004/08/05 17:21:16  radek
- (SECURITY) update to 2.64

Revision 1.58  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.57  2004/03/19 23:46:37  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.56  2004/01/21 15:50:37  areq
- 2.63

Revision 1.55  2004/01/18 11:05:29  eothane
- new style bcond

Revision 1.54  2004/01/18 07:36:18  undefine
- update to 2.62

Revision 1.53  2004/01/16 00:15:49  alchemyx
- added missing Requires for perl-Cache-DB_File (needed by Bayesian filtering)

Revision 1.52  2003/12/09 17:49:12  arekm
- updated to 2.61

Revision 1.51  2003/11/25 09:23:36  djrzulf
- we need only README from spamd, i think ;),

Revision 1.50  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.49  2003/10/21 11:09:46  radek
- BR: perl(ExtUtils::MakeMaker) >= 6.16

Revision 1.48  2003/10/20 12:05:19  radek
- reverted last two changes: rules/local.cf is copied by the
  installation process itself, and setting INSTALLVENDORDATA
  breaks building

Revision 1.47  2003/10/18 22:53:09  arekm
- better fix (I hope)

Revision 1.46  2003/10/18 22:32:59  arekm
- fix build

Revision 1.45  2003/10/18 14:42:28  radek
- release 2: this time really updated to 2.60
- switched to bz2 source

Revision 1.44  2003/09/30 20:36:07  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.43  2003/09/30 20:18:34  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.42  2003/09/29 23:27:46  ankry
- removed bogus -q from %prep

Revision 1.41  2003/08/23 18:06:59  blues
- sort

Revision 1.40  2003/08/21 21:27:08  arekm
- added languages file

Revision 1.39  2003/08/21 21:10:49  arekm
- correct subsys file name

Revision 1.38  2003/08/21 20:56:25  arekm
- updated to 2.60

Revision 1.37  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.36  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:26:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/20 10:14:34  radek
- version 2.55 (very minor bugfixes)

Revision 1.33  2003/05/12 23:18:53  misi3k
- updated to 2.54

Revision 1.32  2003/04/16 12:23:58  radek
- forced not to ask for Razor tests more cleanly

Revision 1.31  2003/04/16 12:19:51  ankry
- typo

Revision 1.30  2003/04/16 11:52:14  ankry
- make non-interactive

Revision 1.29  2003/04/16 11:42:15  ankry
- fixed BR: (new perl.prov, newer openssl)
- rel. 2
- cleaning

Revision 1.28  2003/04/16 09:57:32  radek
- version 2.53 (major bugfixes)

Revision 1.27  2003/04/11 19:15:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/25 10:46:11  misi3k
- updated to 2.52
- patch 1,2,3 not needed

Revision 1.25  2003/03/24 20:44:04  baggins
- release 2
- added official bugfixes

Revision 1.24  2003/03/21 11:31:37  radek
- version 2.51 (bugfixes)

Revision 1.23  2003/03/01 20:31:55  radek
- updated for perl-5.8.0; release 2

Revision 1.22  2003/02/25 22:31:32  radek
- License fixed, BR: openssl-devel, added sa-learn and USAGE

Revision 1.21  2003/02/25 11:24:23  areq
- 2.50

Revision 1.20  2003/02/01 11:54:25  radek
- version 2.44 (bugfixes)

Revision 1.19  2002/10/18 11:51:20  ankry
- fixed DESTDIR build problems, release 2

Revision 1.18  2002/10/15 18:25:35  radek
- version 2.43 (bugfixes; author says: ,,rock solid'' ;-)

Revision 1.17  2002/10/06 11:11:53  kloczek
- release 1.

Revision 1.16  2002/10/05 14:36:58  ppv
- update to new version

Revision 1.15  2002/09/19 18:02:16  kloczek
- release 7: pl translations for spamc and spamd (by Krzysztof Pobieynski
  <ppv@wiedzmin.org>)

Revision 1.14  2002/09/17 14:33:17  kloczek
- fixed %attr().

Revision 1.13  2002/09/17 14:15:26  kloczek
- release 6,
- clanups and adapaterize spec file,
- standarize %post script,
- separate spamd configuration in /etc/sysconfig/spamassassin file
  (by Krzysztof Pobiezynski <ppv@wiedzmin.org>).

Revision 1.12  2002/09/17 11:03:01  radek
- separate spamd and spamc
- remove HTML documentation (same as manuals)
- turned off tests
- release 5

Revision 1.11  2002/09/14 16:33:37  misiek
- add documentation; rel 4

Revision 1.10  2002/09/06 16:20:22  baggins
- moved configs and definitions into perl-Mail... module, the daemon is
  _NOT_ needed to use SpamAssassin
- release 3

Revision 1.9  2002/09/06 10:27:26  radek
- perl(DBI) is not needed in most of the configurations
- enabled tests
- release 2

Revision 1.8  2002/09/05 22:16:59  radek
- version 2.41: bugfixes

Revision 1.7  2002/09/05 12:35:02  radek
- upgraded to 2.40

Revision 1.6  2002/08/04 10:07:55  radek
- removed noautoreq perl(Net::SMTP::*), added missing local.cf,
  fixed Makefile.PL; release 5

Revision 1.5  2002/08/01 08:03:09  radek
- make spamassassin the main package
- release 4

Revision 1.4  2002/07/30 01:01:27  radek
- get rid of findbin.patch, it's not really needed; rel 3

Revision 1.3  2002/07/27 13:42:46  kloczek
- cosmetics.

Revision 1.2  2002/07/26 22:42:55  radek
- changed package names (daemon and tools, not perl-*) to lowercase for
  easy upgrade from RH: perl -pi -e 's/^(%[a-z]+ -n SpamAssassin)/lc $1/e'
- added obsoletes
- added Summary(pl), fixed %doc
- added %post and %preun scripts (chkconfig) for package spamassassin
  (I'm not sure about names inconsistency: init.d/spamassassin <-> spamd)
- moved %clean before %files, as in other perl specs
- release 2

Revision 1.1  2002/07/20 13:55:37  radek
- initial revision, rewritten from RH.
